<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Register | Sports Management System</title>

    <!-- Google Fonts -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">

    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{ asset('plugins/fontawesome-free/css/all.min.css') }}">

    <!-- AdminLTE CSS -->
    <link rel="stylesheet" href="{{ asset('dashboard_assets/css/adminlte.min.css') }}">
</head>
<style>
    body.login-page {
        background-image: url('{{ asset('dashboard_assets/image/bg-login.jpg') }}');
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
    }

    .login-box {
        background-color: rgba(255, 255, 255, 0.95);
        border-radius: 10px;
        padding: 20px;
        box-shadow: 0 0 20px rgba(0,0,0,0.2);
    }
</style>
<body class="hold-transition register-page">
<div class="register-box">

    <div class="card card-outline card-primary">
        <div class="card-header text-center">
            <a href="#" class="h1"><b>Sports</b>Manager</a>
        </div>
        <div class="card-body register-card-body">
            <p class="login-box-msg">Register a new membership</p>

            <!-- Registration Form -->
            <form method="POST" action="{{ route('register.submit') }}">
    @csrf

    <!-- Name -->
    <div class="input-group mb-3">
        <input type="text" name="name" class="form-control" placeholder="Full Name" required>
        <div class="input-group-append">
            <div class="input-group-text"><span class="fas fa-user"></span></div>
        </div>
    </div>

    <!-- Email -->
    <div class="input-group mb-3">
        <input type="email" name="email" class="form-control" placeholder="Email" required>
        <div class="input-group-append">
            <div class="input-group-text"><span class="fas fa-envelope"></span></div>
        </div>
    </div>

    <!-- Password -->
    <div class="input-group mb-3">
        <input type="password" name="password" class="form-control" placeholder="Password" required>
        <div class="input-group-append">
            <div class="input-group-text"><span class="fas fa-lock"></span></div>
        </div>
    </div>

    <!-- Confirm Password -->
    <div class="input-group mb-3">
        <input type="password" name="password_confirmation" class="form-control" placeholder="Confirm Password" required>
        <div class="input-group-append">
            <div class="input-group-text"><span class="fas fa-lock"></span></div>
        </div>
    </div>

    <!-- Role Dropdown -->
    <div class="input-group mb-3">
        <select name="role" class="form-control" required>
            <option value="" disabled selected>Select Role</option>
            <option value="admin">Admin</option>
            <option value="coach">Coach / Manager</option>
            <option value="player">Player</option>
            <option value="fan">Fan / Viewer</option>
        </select>
        <div class="input-group-append">
            <div class="input-group-text"><span class="fas fa-user-tag"></span></div>
        </div>
    </div>

    <div class="row mb-2">
        <div class="col-12">
            <div class="icheck-primary">
                <input type="checkbox" id="terms" required>
                <label for="terms">
                    I agree to the <a href="#">terms</a>
                </label>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <button type="submit" class="btn btn-primary btn-block">Register</button>
        </div>
    </div>
</form>

            <p class="mt-3 mb-0 text-center">
                <a href="{{ route('login') }}" class="text-center">I already have a membership</a>
            </p>
        </div>
    </div>

</div>

<!-- Scripts -->
<script src="{{ asset('plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<script src="{{ asset('dashboard_assets/js/adminlte.min.js') }}"></script>
</body>
</html>
